Part Line

    From FreeCAD Documentation

    Part Line.svg Part Line

    Menu location
    Part → Create primitives → Line
    Workbenches
    Part, OpenSCAD
    Default shortcut
    None
    Introduced in version
    -
    See also
    Part Primitives

    Description

    A Part Line.svg Part Line is a parametric line that can be created with the Part Primitives.svg Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its DataPlacement property.

    Part Line Example.png

    Usage

    See Part Primitives.

    Properties

    See also: Property editor.

    A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

    Data

    Attachment

    The object has the same attachment properties as a Part Part2DObject.

    Vertex 1 - Start

    • DataX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
    • DataY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
    • DataZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

    Vertex 2 - Finish

    • DataX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
    • DataY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
    • DataZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

    Scripting

    See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

    A Part Line can be created with the addObject() method of the document:

    line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
    
    • Where "myLine" is the name for the object.
    • The function returns the newly created object.

    Example:

    import FreeCAD as App
    
    doc = App.activeDocument()
    
    line = doc.addObject("Part::Line", "myLine")
    line.X1 = 1
    line.Y1 = 3
    line.Z1 = 6
    line.X2 = 2
    line.Y2 = 3
    line.Z2 = 9
    
    doc.recompute()